Canalplan Bug Tracker



Anonymous Login
2019-04-22 17:19 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000424Canalplan [All Projects] Feature Requestpublic2019-04-18 21:41
ReporterShultzy 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS Version8.1
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000424: Cannot change range covered by a feature or area
DescriptionThe following error is shown when selecting [Edit Feature] from within a feature, see [Bank Newton Locks]
 
Error: Syntax error in 148 of /webstuff/canalplan/cgi-bin/../cgi-bin/edit_details.can
variable pi as lookup = placeinfo('$'+si.place1)
place.c:732::Places used when not loaded

Also it is not possible to add a place to an existing feature. [Bank Newton Bottom Lock Footbridge] should be part of [Bank Newton Locks]
Additional InformationThe bug above was reported automatically and fixed, but the end note is important - there is no way to change the range covered by a feature once it is created. Consider best way to do this (slide, extend/shrink by one...).

Areas have the same issue and the same solution should be used for them.
TagsNo tags attached.
Attach Tags (Separate by ",")
Attached Files

-Relationships
+Relationships

-Notes

~0001661

Nick Atty (administrator)

Yup, got that in my email automatic bug reports.
+Notes

-Issue History
Date Modified Username Field Change
2018-03-20 22:55 Shultzy New Issue
2018-03-21 06:53 Stephen Atty Assigned To => Nick Atty
2018-03-21 06:53 Stephen Atty Status new => assigned
2018-03-21 07:16 Nick Atty Note Added: 0001661
2018-03-21 07:22 Nick Atty Category Bug => Feature Request
2018-03-21 07:22 Nick Atty Summary Error when editing a feature => Cannot change range covered by a feature
2018-03-21 07:22 Nick Atty Additional Information Updated View Revisions
2018-03-21 07:37 Nick Atty Summary Cannot change range covered by a feature => Cannot change range covered by a feature or area
2018-03-21 07:37 Nick Atty Additional Information Updated View Revisions
2019-04-18 21:41 Nick Atty Status assigned => resolved
2019-04-18 21:41 Nick Atty Resolution open => fixed
+Issue History